import 'package:ocg_app/ocg_app.dart';
import 'package:ocg_chat/src/models/message.dart';

abstract class MessageDatabase {
  Future<AppResponse<String>> create(Message object);
  Future<AppResponse<Message>> read(String id);
  Future<AppResponse<bool>> updateMessage(Message object);
  Future<AppResponse<bool>> deleteMessage(String id);
  Future<AppResponse<List<Message>>> getList({
    int page = 1,
    int count = 10,
  });
}
